<?php
// ------------------------------------------------------------------------- //
//                           Agendax-X for Xoops                             //
//                              Version:  2.0                                //
// ------------------------------------------------------------------------- //
// Author: Wang Jue (alias wjue)                                             //
// Purpose: Very Flexible Calendar and Event Module                          //
// email: wjue@wjue.org                                                      //
// URLs: http://www.wjue.org,  http://www.guanxiCRM.com                      //
//---------------------------------------------------------------------------//
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//---------------------------------------------------------------------------//
// Part of this software is based on EXTcalendar                             //
// of Kristof De Jaeger sweaty@urgent.ugent.be                          //

if ( !preg_match("/index.php/", $HTTP_SERVER_VARS['PHP_SELF']) ) {
    exit("Access Denied");
}

if ($email_should_be_validated==1) include("./checkemail.inc.php");
# ----------------------------------------------------------------------
# update event
# ----------------------------------------------------------------------

if (isset($_POST['title'])) $title = $_POST['title']; else $title = '';
if (isset($_POST['description'])) $description = $_POST['description']; else $description = '';
if (isset($_POST['contact'])) $contact = $_POST['contact']; else $contact = '';
if (isset($_POST['email'])) $email = $_POST['email']; else $email = '';
if (isset($_POST['cat'])) $cat = $_POST['cat']; else $cat = 1;
if (isset($_POST['foto'])) $foto = $_POST['foto']; else $foto = '';
if (isset($_POST['startDate'])) $startDate = str_replace('-', '', $_POST['startDate']); else $startDate = date('Ymd');
if (isset($_POST['rpt_end_use'])) $rpt_end_use = $_POST['rpt_end_use']; else $rpt_end_use = 'n';
if ( ($rpt_end_use == 'y') && !empty($_POST['endDate']) ) $event_end = $_POST['endDate']; else $event_end = NULL;
if (isset($_POST['rpt_freq_daily'])) $rpt_freq_daily = $_POST['rpt_freq_daily']; else $rpt_freq_daily = '0';
if (isset($_POST['rpt_freq_weekly'])) $rpt_freq_weekly = $_POST['rpt_freq_weekly']; else $rpt_freq_weekly = '0';
if (isset($_POST['rpt_freq_yearly'])) $rpt_freq_yearly = $_POST['rpt_freq_yearly']; else $rpt_freq_yearly = '0';
if (isset($_POST['rpt_freq_monthlyByDay'])) $rpt_freq_monthlyByDay = $_POST['rpt_freq_monthlyByDay']; else $rpt_freq_monthlyByDay = '0';
if (isset($_POST['rpt_freq_monthlyByDayR'])) $rpt_freq_monthlyByDayR = $_POST['rpt_freq_monthlyByDayR']; else $rpt_freq_monthlyByDayR = '0';
if (isset($_POST['rpt_freq_monthlyByDate'])) $rpt_freq_monthlyByDate = $_POST['rpt_freq_monthlyByDate']; else $rpt_freq_monthlyByDate = '0';
if (isset($_POST['rpt_type'])) $rpt_type = $_POST['rpt_type']; else $rpt_type = 'none';
if (isset($_POST['url'])) $url = $_POST['url']; else $url = 'none';

$rptfreqname= 'rpt_freq_'.$rpt_type;
if ($rpt_type != 'none') $rpt_freq = $$rptfreqname; else $rpt_freq = '0';

if (isset($_POST['rpt_sun'])) $rpt_sun = $_POST['rpt_sun']; else $rpt_sun = 'n';
if (isset($_POST['rpt_mon'])) $rpt_mon = $_POST['rpt_mon']; else $rpt_mon = 'n';
if (isset($_POST['rpt_tue'])) $rpt_tue = $_POST['rpt_tue']; else $rpt_tue = 'n';
if (isset($_POST['rpt_wed'])) $rpt_wed = $_POST['rpt_wed']; else $rpt_wed = 'n';
if (isset($_POST['rpt_thu'])) $rpt_thu = $_POST['rpt_thu']; else $rpt_thu = 'n';
if (isset($_POST['rpt_fri'])) $rpt_fri = $_POST['rpt_fri']; else $rpt_fri = 'n';
if (isset($_POST['rpt_sat'])) $rpt_sat = $_POST['rpt_sat']; else $rpt_sat = 'n';

$event_repeaton_days = $rpt_sun.$rpt_mon.$rpt_tue.$rpt_wed.$rpt_thu.$rpt_fri.$rpt_sat;

global $myts; //text sanitisor

if (empty($title)) { $output_str .= _("Please provide a title")."<br />".back(); }
elseif (empty($description)) { $output_str .= _("Please give a description")."<br />".back(); }
elseif (empty($contact)) { $output_str .= _("Please provide a contact person")."<br />".back(); }
elseif (($email_should_be_validated==1)&&(validate_email($email)!='valid')) { $output_str .= _("Please provide a valid email address")."<br />".back(); }
elseif (empty($startDate)) { $output_str .= _("Please specify event date")."<br />".back(); }
else
{
    $url = str_replace("http://","",$url);
    $modif_date = date("Ymd");
    $modif_time = date("His");
    // 'E'= non_repeating event, 'R'= repeating event, 'B'= ressource booking event
    ($rpt_type == 'none') ? $type = 'E' : $type = 'R';
    $access = 'P';   // 'P' public, 'R' restricted, will be extended to restricted/private access type
    
    // try to see the original type of the event
    $sql = "SELECT type FROM ".XOOPS_DB_PREFIX."_agendax_events WHERE id='$id'";
    $result = mysql_query($sql)
        or die("Invalid query: " . mysql_error());
    if ($row = mysql_fetch_object($result)) {
        $old_type = $row->type;
    }
    
    $title = $myts->makeTboxData4Save($title);
    $description = $myts->makeTareaData4Save($description);
    $contact = $myts->makeTboxData4Save($contact);
    $query = "UPDATE ".XOOPS_DB_PREFIX."_agendax_events SET picture='$foto',title='$title',description='$description',contact='$contact',url='$url',email='$email',cat='$cat',date='$startDate',time='0',modif_date='$modif_date',modif_time='$modif_time',type='$type'";
    $query .= " WHERE id='$id'";
    $result = mysql_query($query)
    or die("Invalid query: " . mysql_error());
    
    //now update the agendax_event_repeats table
    if ($type == 'R') {
        $event_end = str_replace('-', '', $event_end);
        if ($old_type == 'E') { 
        // an original non repeating event becomes repeating ->insert
            $sql = "INSERT INTO ".XOOPS_DB_PREFIX."_agendax_event_repeats VALUES('$id', '$rpt_type', '$event_end', '$rpt_freq', '$event_repeaton_days')";
            $result = mysql_query($sql)
            or die("Invalid query: " . mysql_error());                    
           
        } elseif ($old_type == 'R') {
            // an original repeating event remains repeating ->update
            $sql = "UPDATE ".XOOPS_DB_PREFIX."_agendax_event_repeats SET event_rpt_type='$rpt_type', event_end='$event_end', frequency='$rpt_freq', event_repeaton_days='$event_repeaton_days' WHERE event_id='$id'";
            $result = mysql_query($sql)
            or die("Invalid query: " . mysql_error());                    
        }     
    } else {
        if ($old_type == 'R') {
        // an original repeating event becomes non repeating - delete
        $sql = "DELETE FROM ".XOOPS_DB_PREFIX."_agendax_event_repeats WHERE event_id='$id'";    
        $result = mysql_query($sql)
        or die("Invalid query: " . mysql_error());

        $sql = "DELETE FROM ".XOOPS_DB_PREFIX."_agendax_event_repeats_not WHERE event_id='$id'";    
        $result = mysql_query($sql)
        or die("Invalid query: " . mysql_error());
        }
    }

    
    redirect_header ("index.php?op=view&id=$id", 1, _("data base updated"));
}
?>