#
# Table structure for table `agendax_cat`
#

CREATE TABLE agendax_cat (
  cat_id int(11) NOT NULL auto_increment,
  cat_name varchar(150) NOT NULL default '',
  PRIMARY KEY  (cat_id)
) TYPE=MyISAM;

INSERT INTO agendax_cat VALUES (1,'General');

# --------------------------------------------------------

#
# Table structure for table `agendax_event_repeats`
#

CREATE TABLE agendax_event_repeats (
  event_id int(11) NOT NULL default '0',
  event_rpt_type varchar(20) default NULL,
  event_end int(11) default NULL,
  frequency int(11) default '1',
  event_repeaton_days varchar(7) default NULL,
  PRIMARY KEY  (event_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `agendax_event_repeats_not`
#

CREATE TABLE agendax_event_repeats_not (
  event_id int(11) NOT NULL default '0',
  event_date int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `agendax_events`
#

CREATE TABLE agendax_events (
  id int(11) NOT NULL auto_increment,
  group_id int(11) default NULL,
  ext_for_id int(11) default NULL,
  title varchar(255) NOT NULL default '',
  description text NOT NULL,
  contact text NOT NULL,
  url varchar(100) NOT NULL default '',
  email varchar(120) NOT NULL default '',
  picture varchar(100) NOT NULL default '',
  cat tinyint(2) NOT NULL default '0',
  date int(11) NOT NULL default '0',
  time int(11) default NULL,
  modif_date int(11) default NULL,
  modif_time int(11) default NULL,
  duration int(11) NOT NULL default '0',
  priority tinyint(4) default '2',
  day tinyint(2) NOT NULL default '0',
  month smallint(2) NOT NULL default '0',
  year smallint(4) NOT NULL default '0',
  approved tinyint(1) NOT NULL default '0',
  submit_by mediumint(8) unsigned NOT NULL default '0',
  type char(1) NOT NULL default 'E',
  access char(1) default 'P',
  PRIMARY KEY  (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `agendax_mcalurl`
#

CREATE TABLE agendax_mcalurl (
  mc_id int(7) NOT NULL default '0',
  mc_isscript int(1) unsigned NOT NULL default '0',
  mc_url varchar(150) NOT NULL default '',
  UNIQUE KEY mc_id (mc_id)
) TYPE=MyISAM;

INSERT INTO agendax_mcalurl VALUES (0, 0, '');